Updates the fee list price with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
feelist_price| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| feelist_id |
Feelist on which this price belongs to |
globally unique identifier |
Optionally required : feelist_id, feelist_reference_back_office or feelist must be provided |
| feelist_reference_back_office |
Embedded entity "feelist" using ERP PK when adding/updating feelist_price |
string |
Optionally required : feelist_id, feelist_reference_back_office or feelist must be provided |
| feelist |
Embedded entity "feelist" using ERP PK when adding/updating feelist_price |
feelist |
Optionally required : feelist_id, feelist_reference_back_office or feelist must be provided |
| hour_type_id |
Foreign key to hour_type. You need to supply at one one of the following value : hour_type,equipment_family,job_type |
globally unique identifier |
Optionally required : hour_type_id, hour_type_code or hour_type must be provided |
| hour_type_code |
Embedded entity "hour_type" using ERP PK when adding/updating feelist_price (CF hour_type_id) |
string |
Optionally required : hour_type_id, hour_type_code or hour_type must be provided |
| hour_type |
Embedded entity "hour_type" using ERP PK when adding/updating feelist_price (CF hour_type_id) |
hour_type |
Optionally required : hour_type_id, hour_type_code or hour_type must be provided |
| equipment_family_id |
Foreign key to equipment_family. You need to supply at one one of the following value : hour_type,equipment_family,job_type |
globally unique identifier | |
| equipment_family_code |
Embedded entity "equipment_family" using ERP PK when adding/updating feelist_price (CF equipment_family_id) |
string | |
| equipment_family |
Embedded entity "equipment_family" using ERP PK when adding/updating feelist_price (CF equipment_family_id) |
equipment_family | |
| job_type_id |
Foreign key to job_type. You need to supply at one one of the following value : hour_type,equipment_family,job_type |
globally unique identifier | |
| job_type_code |
Embedded entity "job_type_id" using ERP PK when adding/updating feelist_price (CF job_type_id) |
string | |
| job_type |
Embedded entity "job_type_id" using ERP PK when adding/updating feelist_price (CF job_type_id) |
job_type | |
| price | decimal number |
Required |
|
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "b645bd44-45f6-4358-a37e-6b1a9dc147bc",
"feelist_id": "9754d650-a16e-4192-b3a4-b62a3159388a",
"feelist_reference_back_office": "sample string 3",
"hour_type_id": "ff0c180f-f3c8-4668-987a-a513046c888c",
"hour_type_code": "sample string 5",
"equipment_family_id": "9bc6724a-1f7b-4a51-8fab-ce949a3f6eb1",
"equipment_family_code": "sample string 7",
"job_type_id": "bb15519b-e59c-4504-9c5a-0af4ec2ddbd4",
"job_type_code": "sample string 9",
"price": 1.0,
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-05-15T23:24:15.0874052+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.